# OpenLayers.Format.WFST.v1

Superclass for WFST parsers.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WFST.v1 | Superclass for WFST parsers.
Properties |
srsName | {String} URI for spatial reference system.
extractAttributes | {Boolean} Extract attributes from GML.
xy | {Boolean} Order of the GML coordinate true:(x,y) or false:(y,x) Changing is not recommended, a new Format should be instantiated.
Constructor |
OpenLayers.Format.WFST.v1 | Instances of this class are not created directly.
Functions |
read | Parse the response from a transaction.

### Properties

### srsName

{String} URI for spatial reference system.

### extractAttributes

{Boolean} Extract attributes from GML. Default is true.

### xy

{Boolean} Order of the GML coordinate true:(x,y) or false:(y,x) Changing is not recommended, a new Format should be instantiated.

### Constructor

### OpenLayers.Format.WFST.v1

Instances of this class are not created directly. Use the OpenLayers.Format.WFST.v1_0_0 or OpenLayers.Format.WFST.v1_1_0 constructor instead.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data,
> | options | )

Parse the response from a transaction. Because WFS is split into Transaction requests (create, update, and delete) and GetFeature requests (read), this method handles parsing of both types of responses.

#### Parameters

data | {String | Document} The WFST document to read
options | {Object} Options for the reader

#### Valid options properties

output | {String} either “features” or “object”. The default is “features”, which means that the method will return an array of features. If set to “object”, an object with a “features” property and other properties read by the parser will be returned.

#### Returns

{Array | Object} Output depending on the output option.

> read: function( | data,
> | options | )

Parse the response from a transaction.
Read and write XML.
A format for creating WFS v1.0.0 transactions.
A format for creating WFS v1.1.0 transactions.
Close